Subject: Re: linux-next: build warnings after merge of the cifs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 26 Nov 2018 17:51:35 +1100

Hi Kees,

On Sun, 25 Nov 2018 21:48:10 -0800 Kees Cook <[email-masked]> wrote:
>
> On Sun, Nov 25, 2018 at 4:52 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > On Sun, 25 Nov 2018 18:31:40 -0600 Steve French <[email-masked]> wrote:  
> > >
> > > Both of those cases are intentional fallthroughs and there are
> > > existing comments in the code noting the reasons for them to
> > > fallthrough
> > >
> > > (also can see the reasoning for these in the commits which introduced
> > > them from Sachin c369c9a4a7c82) and dde2356c84662)  
> >
> > I am not questioning that :-)
> >
> > The gcc warning can be turned off by adding a /* fall through */
> > comment at the point the fall through happens.  Kees and others are
> > working on the several hundred other places that need annotating.  
> 
> Right. The goal is to avoid adding any _new_ cases of this. :)
> 
> > This one just popped up.  
> 
> It's already working! :) Thanks Stephen!

Actually this one was the product of how I filter out warnings ... it
was an old one, but the line numbers changed.   I have now started
ignoring these if just the line numbers change.

-- 
Cheers,
Stephen Rothwell